<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: controller.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Roughcheck Controller
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @license    GNU General Public License version 3 or later; see LICENSE.txt
* @link       http://p-o.co.uk/
*/
class RoughcheckController extends JControllerLegacy
{
	/**
	* display task
	*
	* @param boolean $cachable  If true, the view output will be cached
	* @param array   $urlparams An array of safe url parameters and their
	*                           variable types,
	*                           for valid values see {@link JFilterInput::clean()}.
	*
	* @return JController This object to support chaining.
	*/
	function display($cachable = false, $urlparams = false)
	{
		$app = JFactory::getApplication();

		// Load the submenu.
		RoughcheckHelper::addSubmenu($app->input->getCmd('view', 'roughcheck'));

		// set default view if not set
		$view = $app->input->getCmd('view', 'roughcheck');
		JFactory::getApplication()->input->set('view', $view);

		// call parent behavior
		parent::display($cachable);
	}

}
