<?php
/**
* Rewards controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: rewards.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Rewards controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerRewards extends JControllerAdmin
{
	/**
	 * Method to get a model object, loading it if required.
	 *
	 * @param string $name   The model name. Optional.
	 * @param string $prefix The class prefix. Optional.
	 * @param array  $config Configuration array for model. Optional.
	 *
	 * @return  object  The model.
	 */
	public function getModel(
		$name = 'Reward',
		$prefix = 'RoughcheckModel',
		$config = array('ignore_request' => true)
	) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}

	/**
	* Redirects to rewardetails view
	*
	* @return bool Always true
	*/
	public function rewarddetails()
	{
		// Initialise variables.
		$app = JFactory::getApplication();
		$cid = $this->input->post->get('cid', array(), 'array');

		// define the record identifier
		$urlVar = 'id';

		// Get the parent record id from either the toolbar (post) or link (get)
		$check_id	= (int) (count($cid) ? $cid[0] : $app->input->getInt($urlVar));

		$tmpl   = $app->input->getCmd('tmpl');
		$layout = $app->input->getCmd('layout', 'edit');
		$route  = 'index.php?option='.$this->option;
		$route .= '&view=rewarddetails';

		// Setup redirect info.
		if ($tmpl) {
			$route .= '&tmpl='.$tmpl;
		}

		if ($layout) {
			$route .= '&layout='.$layout;
		}
		$route .= '&id=' . $check_id;

		$this->setRedirect(JRoute::_($route, false));

		return true;
	}

	/**
	* Method to save the submitted ordering values for records via AJAX.
	*
	* @return  void
	*/
	public function saveOrderAjax()
	{
		$pks = $this->input->post->get('cid', array(), 'array');
		$order = $this->input->post->get('order', array(), 'array');

		// Sanitize the input
		JArrayHelper::toInteger($pks);
		JArrayHelper::toInteger($order);

		// Get the model
		$model = $this->getModel();

		// Save the ordering
		$return = $model->saveorder($pks, $order);

		if ($return)
		{
			echo "1";
		}

		// Close the application
		JFactory::getApplication()->close();
	}
}
