<?php
/**
* Riskdetails controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: riskdetails.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Riskdetails controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerRiskdetails extends JControllerAdmin
{
	/**
	 * Method to get a model object, loading it if required.
	 *
	 * @param string $name   The model name. Optional.
	 * @param string $prefix The class prefix. Optional.
	 * @param array  $config Configuration array for model. Optional.
	 *
	 * @return  object  The model.
	 */
	public function getModel(
		$name = 'Riskdetail',
		$prefix = 'RoughcheckModel',
		$config = array('ignore_request' => true)
	) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}

	/**
	* Removes an item.
	*
	* @return  void
	*/
	public function delete()
	{
		parent::delete();

		$app = JFactory::getApplication();
		$id = $app->input->getInt('risk_profile_id', 0);
		$route = $this->redirect;
		if ($id) {
			$route .= '&id=' . $id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);
	}

	/**
	* Method to publish a list of items
	*
	* @return  void
	*/
	public function publish()
	{
		parent::publish();

		$app = JFactory::getApplication();
		$id = $app->input->getInt('risk_profile_id', 0);
		$route = $this->redirect;
		if ($id) {
			$route .= '&id=' . $id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);
	}

	/**
	* Changes the order of one or more records.
	*
	* @return  boolean  True on success
	*/
	public function reorder()
	{
		$success = parent::reorder();

		$app = JFactory::getApplication();
		$id = $app->input->getInt('risk_profile_id', 0);
		$route = $this->redirect;
		if ($id) {
			$route .= '&id=' . $id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);

		return $success;
	}

	/**
	* Check in of one or more records.
	*
	* @return  boolean  True on success
	*/
	public function checkin()
	{
		$success = parent::checkin();

		$app = JFactory::getApplication();
		$id = $app->input->getInt('risk_profile_id', 0);
		$route = $this->redirect;
		if ($id) {
			$route .= '&id=' . $id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);

		return $success;
	}

	/**
	* Method to return to parent list.
	*
	* @return Boolean True
	*/
	public function cancel()
	{

		$route = 'index.php?option=com_roughcheck&view=risks';
		$app = JFactory::getApplication();
		$id = $app->input->getInt('risk_profile_id', 0);
		if ($id) {
			$route .= '&id=' . $id;
		}
		$this->setRedirect(JRoute::_($route, false));

		return true;
	}

	/**
	* Method to save the submitted ordering values for records via AJAX.
	*
	* @return  void
	*/
	public function saveOrderAjax()
	{
		$pks = $this->input->post->get('cid', array(), 'array');
		$order = $this->input->post->get('order', array(), 'array');

		// Sanitize the input
		JArrayHelper::toInteger($pks);
		JArrayHelper::toInteger($order);

		// Get the model
		$model = $this->getModel();

		// Save the ordering
		$return = $model->saveorder($pks, $order);

		if ($return)
		{
			echo "1";
		}

		// Close the application
		JFactory::getApplication()->close();
	}

}
