<?php
/**
* Reward profile form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: rewardprofiles.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

/**
* Reward profile form field
 *
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class JFormFieldRewardprofiles extends JFormFieldList
{
	/**
	 * The form field type.
	 * @var		string
	 */
	protected $type = 'Rewardprofiles';

	/**
	* Method to get the field options.
	*
	* @return	array	The field option objects.
	*/
	protected function getOptions()
	{
		// Initialise variables.
		$options = array();

		try {
			$db		= JFactory::getDbo();
			$query	= $db->getQuery(true);

			$query->select('id AS value, title AS text');
			$query->from('#__roughcheck_reward_profiles');
			$query->where('state = 1');
			$query->order('ordering ASC');

			// Get the options.
			$db->setQuery($query);

			$options = $db->loadObjectList();
			if ($db->getErrorMsg()) {
				throw new Exception($db->getErrorMsg());
			}
		} catch (Exception $e) {
			JLog::add('Exception: '.$e->getMessage(), JLog::ERROR, COM_ROUGHCHECK);
			return false;
		}

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
