<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: roughcheck.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

define('COM_ROUGHCHECK', 'com_roughcheck');
define(
	'COM_ROUGHCHECK_HOME',
	'index.php?option=com_roughcheck&amp;view=roughcheck'
);

$app = JFactory::getApplication();

// Log com_roughcheck errors only.
$config = JFactory::getConfig();
if ($config->get('debug', 0)) {
	JLog::addLogger(
		array(
			'text_file' => COM_ROUGHCHECK.'.php'
		),
		JLog::ALL,
		COM_ROUGHCHECK
	);
}

// Access check.
if (!JFactory::getUser()->authorise('core.manage', COM_ROUGHCHECK)) {
	if ($config->get('debug', 0)) {
		JLog::add(
			'Executing task: ' 
			. get_class($controller) . '::'
			. $app->input->getCmd('task'),
			JLog::DEBUG, COM_ROUGHCHECK
		);
	}
	throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
}

// require helper file
JLoader::register(
	'RoughcheckHelper',
	dirname(__FILE__) . '/helpers/roughcheck.php'
);

$template = $app->getTemplate();

// Get an instance of the controller prefixed by Roughcheck
$controller = JControllerLegacy::getInstance('Roughcheck');

if ($config->get('debug', 0)) {
	JLog::add(
		'Executing task: ' 
		. get_class($controller) . '::'
		. $app->input->getCmd('task'),
		JLog::DEBUG, COM_ROUGHCHECK
	);
}

$controller->execute($app->input->getCmd('task'));
$controller->redirect();
