CREATE TABLE IF NOT EXISTS `#__roughcheck_checks` (
	`id` int(11) NOT NULL auto_increment,
	`asset_id` int(11) NOT NULL default 0,
	`ordering` int(11) NOT NULL default 0,
	`state` int(11) NOT NULL default 0,
	`version` int(11) NOT NULL default 0,
	`catid` int(11) NOT NULL default 0,
	`sectionid` int(11) NOT NULL default 0,
	`risk_profile_id` int(11) NOT NULL default 0,
	`reward_profile_id` int(11) NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`checked_out` int(11) NOT NULL default 0,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`access` int(11) NOT NULL default 0,
	`hits` int(11) NOT NULL default 0,
	`featured` tinyint(3) NOT NULL default 0,
	`title` varchar(255) NOT NULL default '',
	`alias` varchar(255) NOT NULL default '',
	`language` varchar(7) NOT NULL default '',
	`xreference` varchar(36) NOT NULL default '',
	`params` TEXT,
	`description` text,
	`metakey` text,
	`metadesc` text,
	`metadata` text,
	`image_fulltext` varchar(150) NULL,
	`float_fulltext` varchar(5) NULL,
	`image_fulltext_alt` varchar(100) NULL,
	`image_fulltext_caption` varchar(100) NULL,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_risk_profiles` (
	`id` int(11) NOT NULL auto_increment,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`report_title` varchar(100) NOT NULL,
	`unknown` varchar(50) NOT NULL DEFAULT '',
	`unknownimage` varchar(150) NOT NULL DEFAULT '',
	`positive` varchar(50) NOT NULL DEFAULT '',
	`positiveimage` varchar(150) NOT NULL DEFAULT '',
	`negative` varchar(50) NOT NULL DEFAULT '',
	`negativeimage` varchar(150) NOT NULL DEFAULT '',
	`language` varchar(7) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_risk_details` (
	`id` int(11) NOT NULL auto_increment,
	`risk_profile_id` int(11) NOT NULL,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`image` varchar(150) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_risk_details_fk_profiles`
		FOREIGN KEY (`risk_profile_id`)
		REFERENCES `#__roughcheck_risk_profiles` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_reward_profiles` (
	`id` int(11) NOT NULL auto_increment,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`report_title` varchar(100) NOT NULL,
	`unknown` varchar(50) NOT NULL DEFAULT '',
	`unknownimage` varchar(150) NOT NULL DEFAULT '',
	`positive` varchar(50) NOT NULL DEFAULT '',
	`positiveimage` varchar(150) NOT NULL DEFAULT '',
	`negative` varchar(50) NOT NULL DEFAULT '',
	`negativeimage` varchar(150) NOT NULL DEFAULT '',
	`language` varchar(7) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_reward_details` (
	`id` int(11) NOT NULL auto_increment,
	`reward_profile_id` int(11) NOT NULL,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`image` varchar(150) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_reward_details_fk_profiles`
		FOREIGN KEY (`reward_profile_id`)
		REFERENCES `#__roughcheck_reward_profiles` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_help_types` (
	`id` int(11) NOT NULL auto_increment,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`language` varchar(7) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_check_topics` (
	`id` int(11) NOT NULL auto_increment,
	`check_id` int(11) NOT NULL,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`description` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_check_topics_fk_check`
		FOREIGN KEY (`check_id`)
		REFERENCES `#__roughcheck_checks` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_check_questions` (
	`id` int(11) NOT NULL auto_increment,
	`check_id` int(11) NOT NULL,
	`topic_id` int(11) NOT NULL,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`risk_detail_id` int(11) NOT NULL,
	`risk_trigger` int(1) NOT NULL default 0,
	`reward_detail_id` int(11) NOT NULL,
	`reward_trigger` int(1) NOT NULL default 1,
	`title` varchar(100) NOT NULL,
	`description_yes` text,
	`description_no` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_checks_questions_fk_check`
		FOREIGN KEY (`check_id`)
		REFERENCES `#__roughcheck_checks` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_checks_questions_fk_topic`
		FOREIGN KEY (`topic_id`)
		REFERENCES `#__roughcheck_check_topics` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_checks_questions_fk_risk_details`
		FOREIGN KEY (`risk_detail_id`)
		REFERENCES `#__roughcheck_risk_details` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_checks_questions_fk_reward_details`
		FOREIGN KEY (`reward_detail_id`)
		REFERENCES `#__roughcheck_reward_details` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_question_help` (
	`id` int(11) NOT NULL auto_increment,
	`question_id` int(11) NOT NULL,
	`help_type_id` int(11) NOT NULL,
	`ordering` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`title` varchar(100) NOT NULL,
	`description` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_question_help_fk_check_question`
		FOREIGN KEY (`question_id`)
		REFERENCES `#__roughcheck_check_questions` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_check_help_fk_help_types`
		FOREIGN KEY (`help_type_id`)
		REFERENCES `#__roughcheck_help_types` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_assessments` (
	`id` int(11) NOT NULL auto_increment,
	`asset_id` int(11) NOT NULL default 0,
	`user_id` int(11) NOT NULL,
	`check_id` int(11) NOT NULL,
	`state` int(11) NOT NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`publish_up` datetime NOT NULL default 0,
	`publish_down` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`date_completed` datetime NULL,
	`title` varchar(100) NOT NULL,
	`xreference` varchar(36) NOT NULL default '',
	`description` text,
	PRIMARY KEY (`id`),
	CONSTRAINT `#__roughcheck_assessments_fk_check`
		FOREIGN KEY (`check_id`)
		REFERENCES `#__roughcheck_checks` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__roughcheck_assessment_responses` (
	`id` int(11) NOT NULL auto_increment,
	`assessment_id` int(11) NOT NULL,
	`question_id` int(11) NOT NULL,
	`risk_detail_id` int(11) NULL,
	`reward_detail_id` int(11) NULL,
	`checked_out` int(11) NOT NULL,
	`checked_out_time` datetime NOT NULL default 0,
	`created` datetime NOT NULL default 0,
	`created_by` int(11) NOT NULL default 0,
	`modified` datetime NOT NULL default 0,
	`modified_by` int(11) NOT NULL default 0,
	`response` int(1) NULL,
	`description` tinytext,
	PRIMARY KEY (`id`),
	KEY (`assessment_id`, `question_id`),
	CONSTRAINT `#__roughcheck_assessment_responses_fk_assessments`
		FOREIGN KEY (`assessment_id`)
		REFERENCES `#__roughcheck_assessments` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_assessment_responses_fk_risk_details`
		FOREIGN KEY (`risk_detail_id`)
		REFERENCES `#__roughcheck_risk_details` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_assessment_responses_fk_reward_details`
		FOREIGN KEY (`reward_detail_id`)
		REFERENCES `#__roughcheck_reward_details` (id)
		ON DELETE CASCADE,
	CONSTRAINT `#__roughcheck_assessment_responses_fk_question`
		FOREIGN KEY (`question_id`)
		REFERENCES `#__roughcheck_check_questions` (id)
		ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;
