<?php
/**
* Component to manage a Roughcheck assessment
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

?>
<h2><?php echo JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_STATUS'); ?></h2>
<dl>
	<dt><?php echo JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_COMPLETED'); ?></dt>
	<dd class="completed"><?php echo $this->assessmentstatus->countof_responses;?>/
		<?php echo $this->assessmentstatus->countof_questions;?>
	</dd>
	<dt><?php echo JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_CREATED'); ?></dt>
	<dd class="create"><?php
		echo JText::sprintf(
			'COM_ROUGHCHECK_CREATED_DATE_ON',
			JHtml::_(
				'date',
				$this->assessment->created,
				JText::_('DATE_FORMAT_LC2')
			)
		); ?>
	</dd>
<?php
if ($this->assessment->created_by) {?>
	<dd class="createdby"><?php
	$this->user->load($this->assessment->created_by);
	echo JText::sprintf(
		'COM_ROUGHCHECK_CREATED_BY',
		$this->user->name
	); ?>
	</dd><?php
}?>
	<dt><?php echo JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_MODIFIED'); ?></dt>
	<dd class="modified"><?php
		echo JText::sprintf(
			'COM_ROUGHCHECK_LAST_UPDATED',
			JHtml::_(
				'date',
				$this->assessment->modified,
				JText::_('DATE_FORMAT_LC2')
			)
		); ?>
	</dd>
<?php
if ($this->assessment->modified_by) {?>
	<dd class="modifiedby"><?php
	$this->user->load($this->assessment->modified_by);
	echo JText::sprintf(
		'COM_ROUGHCHECK_MODIFIED_BY',
		$this->user->name
	); ?>
	</dd><?php
}?>
	<dd class="modified"><?php
		echo JText::sprintf(
			'COM_ROUGHCHECK_LAST_UPDATED',
			JHtml::_(
				'date',
				$this->assessmentstatus->responses_modified,
				JText::_('DATE_FORMAT_LC2')
			)
		); ?>
	</dd>
	<dt class="xreference"><?php
		echo JText::_('COM_ROUGHCHECK_FIELDSET_XREF');?></dt>
	<dd><?php echo JText::_('COM_ROUGHCHECK_FIELDSET_XREF_DESC');?></dd>
	<dd><?php
		echo $this->assessment->id;
		echo '-';
		echo $this->assessment->xreference;?>
	</dd>
</dl>
<?php
echo '<h2>' . JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_NOTES') . '</h2>';
echo '<h3>' . JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_RISK') . '</h3>';
echo '<dl>';
foreach ($this->risks as $j => $risk) {
	echo '<dt>';
	if ($risk->image > '') {
		echo '<img src="'.JURI::root() . $risk->image . '"/>';
		echo '&nbsp;';
	}
	echo $risk->title;
	echo '</dt>';
	echo '<dd>';
	echo $risk->description;
	echo '</dd>';
}
echo '</dl>';
echo '<h3>' . JText::_('COM_ROUGHCHECK_ASSESSMENTREPORT_REWARD') . '</h3>';
echo '<dl>';
foreach ($this->rewards as $i => $reward) {
	echo '<dt>';
	if ($reward->image > '') {
		echo '<img src="'.JURI::root() . $reward->image . '"/>';
		echo '&nbsp;';
	}
	echo $reward->title;
	echo '</dt>';
	echo '<dd>';
	echo $reward->description;
	echo '</dd>';
}
echo '</dl>';
