<?php
/**
* Component to manage Roughcheck rewards
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default_body.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

$archived	= $this->state->get('filter.published') == 2 ? true : false;
$trashed	= $this->state->get('filter.published') == -2 ? true : false;

foreach ($this->items as $i => $item) {

    $user	= JFactory::getUser();
    $canCreate	= $user->authorise('core.create', 'com_roughcheck');
    $canEdit	= $user->authorise('core.edit', 'com_roughcheck');
    $canCheckin	= $user->authorise('core.manage', 'com_roughcheck')
        || $item->checked_out==$user->get('id')
        || $item->checked_out==0;
    $canChange	= $user->authorise('core.edit', 'com_roughcheck') && $canCheckin;
    $listOrder	= $this->state->get('list.ordering');
    $listDirn	= $this->state->get('list.direction');
    $saveOrder 	= ($listOrder == 'a.ordering' && $listDirn == 'asc');
    $ordering 	= ($listOrder == 'a.ordering');
    $path = 'index.php?option=com_roughcheck';
	$path .= '&controller=roughcheck&task=reward.edit&id=';
	$path .= $item->id;
    $link = JRoute::_($path);

    $path = 'index.php?option=com_roughcheck';
	$path .= '&task=rewards.rewarddetails&id=';
	$path .= $item->id;
    $link_details = JRoute::_($path);?>
				<tr class="row<?php echo $i % 2; ?>">
					<td class="order nowrap center hidden-phone">
					<?php if ($canChange) :
						$disableClassName = '';
						$disabledLabel	  = '';

						if (!$saveOrder) :
							$disabledLabel    = JText::_('JORDERINGDISABLED');
							$disableClassName = 'inactive tip-top';
						endif; ?>
						<span class="sortable-handler hasTooltip <?php echo $disableClassName; ?>" title="<?php echo $disabledLabel; ?>">
							<i class="icon-menu"></i>
						</span>
						<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $item->ordering; ?>" class="width-20 text-area-order " />
					<?php else : ?>
						<span class="sortable-handler inactive" >
							<i class="icon-menu"></i>
						</span>
					<?php endif; ?>
					</td>
					<td class="center hidden-phone">
						<?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td class="center">
						<div class="btn-group">
							<?php echo JHtml::_('jgrid.published', $item->state, $i, 'rewards.', $canChange, 'cb', $item->publish_up, $item->publish_down); ?>
						</div>
					</td>
					<td class="nowrap has-context">
						<div class="pull-left">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'rewards.', $canCheckin); ?>
							<?php endif; ?>
							<?php if ($canEdit || $canEditOwn) : ?>
								<a href="<?php echo JRoute::_('index.php?option=com_roughcheck&task=reward.edit&id=' . $item->id); ?>" title="<?php echo JText::_('JACTION_EDIT'); ?>">
									<?php echo $this->escape($item->title); ?></a>
							<?php else : ?>
								<span title="<?php echo JText::sprintf('JFIELD_ALIAS_LABEL', $this->escape($item->alias)); ?>"><?php echo $this->escape($item->title); ?></span>
							<?php endif; ?>
						</div>
						<div class="pull-left">
							<?php
								// Create dropdown items
								JHtml::_('dropdown.edit', $item->id, 'reward.');
								JHtml::_(
									'dropdown.addCustomItem',
									JText::_('COM_ROUGHCHECK_HEADING_DETAILS'),
									$link_details,
									'', false
								);
								JHtml::_('dropdown.divider');

								if ($item->state) :
									JHtml::_('dropdown.unpublish', 'cb' . $i, 'rewards.');
								else :
									JHtml::_('dropdown.publish', 'cb' . $i, 'rewards.');
								endif;

								JHtml::_('dropdown.divider');

								if ($archived) :
									JHtml::_('dropdown.unarchive', 'cb' . $i, 'rewards.');
								else :
									JHtml::_('dropdown.archive', 'cb' . $i, 'rewards.');
								endif;

								if ($item->checked_out) :
									JHtml::_('dropdown.checkin', 'cb' . $i, 'rewards.');
								endif;

								if ($trashed) :
									JHtml::_('dropdown.untrash', 'cb' . $i, 'rewards.');
								else :
									JHtml::_('dropdown.trash', 'cb' . $i, 'rewards.');
								endif;

								// Render dropdown list
								echo JHtml::_('dropdown.render');
								?>
						</div>
					</td>
					<td class="small hidden-phone">
						<?php if ($item->language == '*'):?>
							<?php echo JText::alt('JALL', 'language'); ?>
						<?php else:?>
							<?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
						<?php endif;?>
					</td>
					<td class="center hidden-phone">
						<?php echo (int) $item->id; ?>
					</td>
				</tr>
<?php
}
