<?php
/**
* Roughcheck installation class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: roughcheck.script.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
* Roughcheck installation class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class Com_RoughcheckInstallerScript
{

	/**
	* Roughcheck component install function
	*
	* @param JInstallerComponent $parent The object calling this method
	*
	* @return void
	*/
	public function install($parent)
	{
		$app = JFactory::getApplication();
		$app->enqueueMessage(
			JText::_('COM_ROUGHCHECK_INSTALLED'), 'message'
		);
	}

	/**
	* Roughcheck component uninstall function
	*
	* @param JInstallerComponent $parent The object calling this method
	*
	* @return void
	*/
	public function uninstall($parent)
	{
		$app = JFactory::getApplication();
		$app->enqueueMessage(
			JText::_('COM_ROUGHCHECK_UNINSTALLED'), 'message'
		);
		$app->enqueueMessage(
			JText::sprintf(
				'COM_ROUGHCHECK_UNINSTALL_FEEDBACK',
				'<a href="'
				.'mailto:ahicks@p-o.co.uk'
				.'?SUBJECT=com_roughcheck%20uninstall%20feedback'
				.'">ahicks@p-o.co.uk</a>'
			),
			'message'
		);
		$app->enqueueMessage('&nbsp;', 'message');
	}

	/**
	* Roughcheck component update function
	*
	* @param JInstallerComponent $parent The object calling this method
	*
	* @return void
	*/
	public function update($parent)
	{
		$app = JFactory::getApplication();
		$app->enqueueMessage(
			JText::_('COM_ROUGHCHECK_UPGRADED'), 'message'
		);
	}

	/**
	* Roughcheck component preflight function
	*
	* @param string              $type   'update' or 'install'
	* @param JInstallerComponent $parent The object calling this method
	*
	* @return void
	*/
	public function preflight($type, $parent)
	{
		// Ensure that this version of Joomla is 3.1 or greater
		if ( version_compare(JVERSION, '3.1.4', 'lt') ) {
			$msg = JText::_('COM_ROUGHCHECK_VERSION_31UP');
			throw new Exception($msg);
			return false;
		}
		// Ensure that this version of Joomla is 3.1 or greater
		if ( version_compare(JVERSION, '4.0.0', 'gt') ) {
			$msg = JText::_('COM_ROUGHCHECK_VERSION_30SERIES');
			throw new Exception($msg);
			return false;
		}
	}

	/**
	* Roughcheck component postflight function
	*
	* @param string              $type   'update' or 'install'
	* @param JInstallerComponent $parent The object calling this method
	*
	* @return void
	*/
	public function postflight($type, $parent)
	{
		$app = JFactory::getApplication();

		// Ask the user for feedback
		$app->enqueueMessage(
			JText::sprintf(
				'COM_ROUGHCHECK_REQUEST_FEEDBACK',
				'<a href="'
				.'mailto:ahicks@p-o.co.uk'
				.'?SUBJECT=com_roughcheck%20feedback'
				.'">ahicks@p-o.co.uk</a>'
			),
			'message'
		);
		$app->enqueueMessage('&nbsp;', 'message');
	}
}
