<?php
/**
* Assessment report controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: assessmentreport.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment report controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerAssessmentreport extends JControllerAdmin
{

	/**
	* Method to check if you can edit an existing record.
	* The authorization relates to the assessment.
	*
	* @param array  $data An array of input data.
	* @param string $key  The name of the key for the primary key.
	*
	* @return  boolean
	*/
	protected function allowEdit($data = array(), $key = 'id')
	{
		// Initialise variables.
		$recordId = (int) isset($data[$key]) ? $data[$key] : 0;

		$model = $this->getModel();
		$table = $model->getTable('Assessment');
		if ($recordId) {
			$table->load($recordId);
		}

		$user = JFactory::getUser();
		$userId = $user->get('id');
		$asset	= 'com_roughcheck.assessment.' . $recordId;
		$app = JFactory::getApplication();
		$userXref = $app->getUserState($asset);
		if ($user->authorise('assessment.edit', $asset)) {
			// User is allowed access
			JLog::add('Access via assessment.edit', JLog::DEBUG, COM_ROUGHCHECK);
		} elseif (
			!empty($userId)
			&& $user->authorise('assessment.edit.own', $asset)
			&& $userId == $table->created_by
		) {
			// User is allowed access to own assessment
			JLog::add('Access via assessment.edit.own', JLog::DEBUG, COM_ROUGHCHECK);
		} elseif (!empty($userXref) && $userXref == $table->xreference) {
			// User is allowed access via xreference
			JLog::add('Access via xref', JLog::DEBUG, COM_ROUGHCHECK);
		} else {
			// User is not allowed access to this assessment
			JLog::add(__METHOD__ . '()', JLog::DEBUG, COM_ROUGHCHECK);
			JLog::add('No access to: ' . $asset, JLog::ERROR, COM_ROUGHCHECK);
			//throw new Exception(
			//	JText::_('JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN')
			//);
			$route = 'index.php?option='.$this->option;
			$route .= '&view=assessment';
			$route .= '&layout=xref';
			$tmpl   = $app->input->getCmd('tmpl');
			if ($tmpl) {
				$route .= '&tmpl=' . $tmpl;
			}
			$this->setRedirect(JRoute::_($route, false));
 			return false;
		}
		return true;
		$user = JFactory::getUser();
		if (!$user->authorise(
			'assessment.edit',
			$this->option . '.assessment.' . $assessment_id
		)) {
			JLog::add(__METHOD__ . '()', JLog::DEBUG, COM_ROUGHCHECK);
			JLog::add(
				'COM_ROUGHCHECK_ERROR_EDIT_ITEM_NOT_PERMITTED',
				JLog::NOTICE, COM_ROUGHCHECK
			);
			return false;
		}
	}

	/**
	* Method to review the questions
	*
	* @return void
	*/
	public function assessmentquestions()
	{
		// Check for request forgeries.
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$assessment_id  = $app->input->getInt('assessment_id', 0);

		$this->setRedirect(
			JRoute::_(
				'index.php?option=' . $this->option
				. '&view=assessmentquestions'
				. '&id='.$assessment_id,
				false
			)
		);

		return true;
	}

	/**
	* Method to go to the assessment header
	*
	* @return void
	*/
	public function assessment()
	{
		// Check for request forgeries.
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$assessment_id  = $app->input->getInt('assessment_id', 0);

		$this->setRedirect(
			JRoute::_(
				'index.php?option=' . $this->option
				. '&task=assessment.edit'
				. '&layout=edit'
				. '&id='.$assessment_id,
				false
			)
		);

		return true;
	}
}
