<?php
/**
* Checkhelps controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: checkhelps.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Checkhelps controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerCheckhelps extends JControllerAdmin
{
	/**
	* Method to get a model object, loading it if required.
	*
	* @param string $name   The model name. Optional.
	* @param string $prefix The class prefix. Optional.
	* @param array  $config Configuration array for model. Optional.
	*
	* @return  object  The model.
	*/
	public function getModel(
		$name = 'Checkhelp',
		$prefix = 'RoughcheckModel',
		$config = array('ignore_request' => true)
	) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}

	/**
	* Method to publish a list of items
	*
	* @return  void
	*/
	public function publish()
	{
		parent::publish();

		$app = JFactory::getApplication();
		$qid = $app->input->getInt('question_id', 0);
		$model = $this->getModel();
		$table = $model->getTable('checkquestion');
		$table->load($qid);

		$route = $this->redirect;
		if ($table->id) {
			$route .= '&id=' . $table->id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);
	}

	/**
	* Changes the order of one or more records.
	*
	* @return  boolean  True on success
	*/
	public function reorder()
	{
		$success = parent::reorder();

		$app = JFactory::getApplication();
		$qid = $app->input->getInt('question_id', 0);
		$model = $this->getModel();
		$table = $model->getTable('checkquestion');
		$table->load($qid);

		$route = $this->redirect;
		if ($table->id) {
			$route .= '&id=' . $table->id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);

		return $success;
	}

	/**
	* Check in of one or more records.
	*
	* @return  boolean  True on success
	*/
	public function checkin()
	{
		$success = parent::checkin();

		$app = JFactory::getApplication();
		$qid = $app->input->getInt('question_id', 0);
		$model = $this->getModel();
		$table = $model->getTable('checkquestion');
		$table->load($qid);

		$route = $this->redirect;
		if ($table->id) {
			$route .= '&id=' . $table->id;
		}
		$this->setRedirect($route, $this->message, $this->messageType);

		return $success;
	}

	/**
	* Method to return to parent list.
	*
	* @return Boolean True
	*/
	public function cancel()
	{
		$app = JFactory::getApplication();
		$qid = $app->input->getInt('question_id', 0);
		$model = $this->getModel();
		$table = $model->getTable('checkquestion');
		$table->load($qid);

		$route = 'index.php?option=com_roughcheck';
		$route .= '&view=checkquestions';
		if ($table->id) {
			$route .= '&id=' . $table->check_id;
		}
		$this->setRedirect(JRoute::_($route, false));

		return true;
	}

}
