<?php
/**
* Assessment edit view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: edit.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.calendar');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

$app = JFactory::getApplication();
$return = $app->input->getCmd('return');
$id = $this->form->getValue('id');
$path = 'index.php?option=com_roughcheck';
$path .= '&view='.$this->getName();
$path .= '&layout=edit';
$path .= '&id='.(int) $id;
$action = JRoute::_($path);
?>
<?php if ($this->params->get('show_page_heading')) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>
<?php if ($this->params->get('show_title')) : ?>
	<h2>
		<?php echo $this->escape($this->check->title); ?>
	</h2>
<?php endif; ?>
<div><?php echo $this->check->description; ?></div>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'assessment.cancel' || document.formvalidator.isValid(document.id('adminForm')))
		{
			<?php echo $this->form->getField('description')->save(); ?>
			com_roughcheck_clientwidth = document.getElementById('com_roughcheck_clientwidth');
			if (typeof(document.documentElement.clientWidth)=="number"){
				com_roughcheck_clientwidth.value = document.documentElement.clientWidth;
			}
			Joomla.submitform(task);
		}
	}
</script>
<form action="<?php echo $action; ?>"
	method="post" name="adminForm" id="adminForm" class="form-validate form-vertical">
		<div class="btn-toolbar">
			<div class="btn-group">
				<button type="button" class="btn btn-primary" onclick="Joomla.submitbutton('assessment.save')">
					<span class="icon-ok"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_NEXT') ?>
				</button>
			</div>
			<div class="btn-group">
				<button type="button" class="btn" onclick="Joomla.submitbutton('assessment.cancel')">
					<span class="icon-cancel"></span>&#160;<?php echo JText::_('JCANCEL') ?>
				</button>
			</div>
			<?php if ($id): ?>
			<div class="btn-group">
				<button type="button" class="btn" onclick="Joomla.submitbutton('assessment.assessmentreport')">
					<span class="icon-puzzle"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_ASSESSMENT_REPORT') ?>
				</button>
			</div>
			<?php endif ?>
		</div>
		<fieldset>
			<div class="tab-content">
				<div class="tab-pane active" id="editor">
<?php
foreach ($this->form->getFieldset('main') as $field) {
	echo '				<div class="control-group">'."\n";
	if (!$field->hidden) {
		echo '						<div class="control-label">'."\n";
		echo '						'.$field->label;
		echo '						</div>'."\n";
	}
	echo '					<div class="control">'."\n";
	echo '						'.$field->input;
	echo '					</div>'."\n";
	echo '				</div>'."\n";
}?>
				</div>
			</div>
		</fieldset>
	<div>
		<input type="hidden" name="com_roughcheck_clientwidth" id="com_roughcheck_clientwidth" value="" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="return" value="<?php echo $return;?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
