<?php
/**
* Component to manage a Roughcheck assessment
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');
// load tooltip behavior
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.modal');
JHtml::_('behavior.multiselect');
JHtml::_('dropdown.init');
JHtml::_('formbehavior.chosen', 'select');
$route = 'index.php?option=com_roughcheck&view=assessmentquestions';
?>
<form action="<?php echo JRoute::_($route); ?>"
    method="post" name="adminForm" id="adminForm">
	<h2><?php echo $this->escape($this->assessment->title);?></h2>
	<h3><?php echo $this->escape($this->topic->title);?></h3>
	<div><?php echo $this->topic->description;?></div>
	<div class="clr"> </div>
	<div class="btn-toolbar">
	<div class="btn-group">
<?php
if ($this->prev) {?>
			<button type="submit" name='prev'
			class="btn"
			onclick="Joomla.submitbutton('assessmentquestions.prev')"
			href='#'
			><span class="icon-previous"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_PREVIOUS'); ?></button>
		<?php
}?>
			<button type="submit" name='next'
			class="btn btn-primary"
			onclick="Joomla.submitbutton('assessmentquestions.next')"
			href='#'
			><span class="icon-ok"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_NEXT'); ?></button>
	</div>
	<div class="btn-group">
		<button type="submit" name='assessment'
		class="btn"
		onclick="Joomla.submitbutton('assessmentreport.assessment')"
		href='#'
		><span class="icon-pencil"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_ASSESSMENT'); ?></button>
		<button type="button" class="btn" onclick="Joomla.submitbutton('assessment.assessmentreport')">
			<span class="icon-puzzle"></span>&#160;<?php echo JText::_('COM_ROUGHCHECK_SUBMIT_ASSESSMENT_REPORT') ?>
		</button>
	</div>
	</div>

	<div class="clr"> </div>
	<h4><?php echo JText::_('COM_ROUGHCHECK_HEADING_ASSESSMENT'); ?></h4>
	<table class="table table-bordered table-hover" id="articleList">
		<thead><?php echo $this->loadTemplate('head');?></thead>
		<tbody><?php echo $this->loadTemplate('body');?></tbody>
	</table>
	<h4><?php echo JText::_('COM_ROUGHCHECK_FIELDSET_XREF');?></h4>
	<p><?php echo JText::_('COM_ROUGHCHECK_FIELDSET_XREF_DESC');?></p>
	<div><?php
		echo $this->assessment->id;
		echo '-';
		echo $this->assessment->xreference;?>
	</div>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="assessment_id" value="<?php
	echo $this->assessment->id; ?>" />
		<input type="hidden" name="topic_id" value="<?php
	echo $this->topic->ordering; ?>" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
