<?php
/**
* Component to manage a Roughcheck assessment
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default_body.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

//$rel_handler = "{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}";

$app = JFactory::getApplication();
$clientwidth = $app->getUserState('com_roughcheck.clientwidth', 0);
$help_onclick_1='onclick="SqueezeBox.fromElement(this, "';
if ($clientwidth > 650) {
	$handler_open="{handler:'iframe', size: {x: 600, y: 450}, url:'";
} elseif ($clientwidth > 350) {
	$handler_open="{handler:'iframe', size: {x: 360, y: 450}, url:'";
} else {
	$handler_open="{handler:'iframe', size: {x: 600, y: 450}, url:'";
}
//$handler_open="{handler:'iframe', size: {x: 600, y: 450}, url:'";
$handler_url="/administrator/index.php?option=com_menus&amp;view=menutypes&amp;tmpl=component&amp;recordId=464";
$handler_close="'}";
$squeezebox_start = 'SqueezeBox.fromElement(this, ';
$squeezebox_end = ')';

foreach ($this->items as $i => $item) {
	$path = 'index.php?option=com_roughcheck';
	$path .= '&view=questionhelps';
	$path .= '&tmpl=component';
	$path .= '&id=';
	$path .= $item->id;
	$link = JRoute::_($path);

	$path = 'index.php?option=com_roughcheck';
	$path .= '&view=checkhelps';
	$path .= '&tmpl=component';
	$path .= '&layout=modal';
	$path .= '&id=';
	$path .= $item->id;
	$link_help = JRoute::_($path);
	$squeezebox_help = $squeezebox_start . $handler_open . $link_help . $handler_close . $squeezebox_end;

	$path = 'index.php?option=com_roughcheck';
	$path .= '&view=assessmentresponse';
	$path .= '&tmpl=component';
	$path .= '&layout=modal';
	if ($item->response_id) {
		$path .= '&task=assessmentresponse.edit';
		$path .= '&id=';
		$path .= $item->response_id;
	} else {
		$path .= '&task=assessmentresponse.add';
		$path .= '&a=';
		$path .= $item->assessment_id;
		$path .= '&q=';
		$path .= $item->id;
	}
	$link_note = JRoute::_($path);
	$squeezebox_note = $squeezebox_start . $handler_open . $link_note . $handler_close . $squeezebox_end;
	if ($clientwidth > 650) {
		// Wide layout?>
				<tr class="row<?php echo $i % 2; ?>">
					<td class="nowrap">
						<?php echo $this->topic->ordering . '.' . $item->ordering; ?>
					</td>
					<td>
						<?php echo $this->escape($item->title); ?>
					</td>
					<td class="nowrap">
						<select
							id="jform<?php echo $item->id;?>_risk_detail_id"
							name="jform<?php echo $item->id;?>[risk_detail_id]"
							type="select"
						><?php
				if ($item->response_risk_detail_id) {
					$risk_is = $item->response_risk_detail_id;
				} else {
					$risk_is = $item->question_risk_detail_id;
				}
				foreach ($this->risks as $i => $risk) {?>
						<option
							value="<?php echo $risk->id; ?>"<?php
					if ($risk_is == $risk->id) {?>
								selected="selected"<?php
					}?>
						>
							<?php echo $risk->title; ?>
						</option><?php
				}?>
						</select>
						<br/><select
							id="jform<?php echo $item->id;?>_reward_detail_id"
							name="jform<?php echo $item->id;?>[reward_detail_id]"
							type="select"
						><?php
				if ($item->response_reward_detail_id) {
					$reward_is = $item->response_reward_detail_id;
				} else {
					$reward_is = $item->question_reward_detail_id;
				}
				foreach ($this->rewards as $i => $reward) {?>
						<option
							value="<?php echo $reward->id; ?>"<?php
					if ($reward_is == $reward->id) {?>
								selected="selected"<?php
					}?>
						>
							<?php echo $reward->title; ?>
						</option><?php
				}?>
						</select>
					</td>
					<td class="nowrap">
						<fieldset id="jform<?php echo $item->id;?>_response" class="radio btn-group">
							<input
								id="jform<?php echo $item->id;?>_response_0"
								name="jform<?php echo $item->id;?>[response]"
								value="0"
								type="radio"<?php
				if (isset($item->response) && $item->response == 0) {?>
								checked="checked"<?php
				}?>
								>
							<label
								for="jform<?php echo $item->id;?>_response_0"
								class="btn"
							><?php echo JText::_('JNO'); ?></label>
							<input
								id="jform<?php echo $item->id;?>_response_1"
								name="jform<?php echo $item->id;?>[response]"
								value="1"
								type="radio"<?php
				if (isset($item->response) && $item->response == 1) {?>
								checked="checked"<?php
				}?>
							>
							<label
								for="jform<?php echo $item->id;?>_response_1"
								class="btn"
							><?php echo JText::_('JYES'); ?></label>
						</fieldset>
					</td>
					<td class="nowrap center">
						<a
							class="btn btn-small"
							onclick="<?php echo $squeezebox_help; ?>">
							<i class="icon-question-sign"></i>
							<?php echo $this->escape(JText::_('COM_ROUGHCHECK_HEADING_HELP'));?>
						</a>
						<br/>
						<a
							class="btn btn-small"
							onclick="<?php echo $squeezebox_note; ?>">
							<i class="icon-edit"></i>
							<?php echo $this->escape(JText::_('COM_ROUGHCHECK_HEADING_NOTE')); ?>
						</a>
					</td>
					<td class="center">
						<?php echo $item->id; ?>
					</td>
				</tr><?php
	} else {
		// Single column layout?>
				<tr class="row<?php echo $i % 2; ?>">
					<th class="nowrap">
						<?php echo JText::_('COM_ROUGHCHECK_HEADING_QUESTION'); ?>
						<?php echo $this->topic->ordering . '.' . $item->ordering; ?>
					</th>
					<td>
						<?php echo $this->escape($item->title); ?>
					</td>
				</tr>
				<tr>
					<th class="nowrap">
						<?php echo $this->riskprofile->report_title; ?>
					</th>
					<td class="nowrap">
						<select
							id="jform<?php echo $item->id;?>_risk_detail_id"
							name="jform<?php echo $item->id;?>[risk_detail_id]"
							type="select"
							class="input-medium"
						><?php
				if ($item->response_risk_detail_id) {
					$risk_is = $item->response_risk_detail_id;
				} else {
					$risk_is = $item->question_risk_detail_id;
				}
				foreach ($this->risks as $i => $risk) {?>
						<option
							value="<?php echo $risk->id; ?>"<?php
					if ($risk_is == $risk->id) {?>
								selected="selected"<?php
					}?>
						>
							<?php echo $risk->title; ?>
						</option><?php
				}?>
						</select>
					</td>
				</tr>
				<tr>
					<th class="nowrap">
						<?php echo $this->rewardprofile->report_title; ?>
					</th>
					<td class="nowrap">
						<select
							id="jform<?php echo $item->id;?>_reward_detail_id"
							name="jform<?php echo $item->id;?>[reward_detail_id]"
							type="select"
							class="input-medium"
						><?php
				if ($item->response_reward_detail_id) {
					$reward_is = $item->response_reward_detail_id;
				} else {
					$reward_is = $item->question_reward_detail_id;
				}
				foreach ($this->rewards as $i => $reward) {?>
						<option
							value="<?php echo $reward->id; ?>"<?php
					if ($reward_is == $reward->id) {?>
								selected="selected"<?php
					}?>
						>
							<?php echo $reward->title; ?>
						</option><?php
				}?>
						</select>
					</td>
				</tr>
				<tr>
					<th class="nowrap">
						<?php echo JText::_('COM_ROUGHCHECK_HEADING_RESPONSE'); ?>
					</th>
					<td class="nowrap">
						<fieldset id="jform<?php echo $item->id;?>_response" class="radio btn-group">
							<input
								id="jform<?php echo $item->id;?>_response_0"
								name="jform<?php echo $item->id;?>[response]"
								value="0"
								type="radio"<?php
				if (isset($item->response) && $item->response == 0) {?>
								checked="checked"<?php
				}?>
								>
							<label
								for="jform<?php echo $item->id;?>_response_0"
								class="btn"
							><?php echo JText::_('JNO'); ?></label>
							<input
								id="jform<?php echo $item->id;?>_response_1"
								name="jform<?php echo $item->id;?>[response]"
								value="1"
								type="radio"<?php
				if (isset($item->response) && $item->response == 1) {?>
								checked="checked"<?php
				}?>
							>
							<label
								for="jform<?php echo $item->id;?>_response_1"
								class="btn"
							><?php echo JText::_('JYES'); ?></label>
						</fieldset>
					</td>
				</tr>
				<tr>
					<th class="nowrap">
						<?php echo JText::_('COM_ROUGHCHECK_HEADING_HELP'); ?>
					</th>
					<td>
						<a
							class="btn btn-small"
							onclick="<?php echo $squeezebox_help; ?>">
							<i class="icon-question-sign"></i>
							<?php echo $this->escape(JText::_('COM_ROUGHCHECK_HEADING_HELP'));?>
						</a>
						<a
							class="btn btn-small"
							onclick="<?php echo $squeezebox_note; ?>">
							<i class="icon-edit"></i>
							<?php echo $this->escape(JText::_('COM_ROUGHCHECK_HEADING_NOTE')); ?>
						</a>
					</td>
				</tr><?php
		
	}
	
}
