<?php
/**
* Component to manage a Roughcheck assessment
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default_body.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

echo '<h2>'.JText::_('COM_ROUGHCHECK_HEADING_RESPONSES').'</h2>';

$currentTopic = 0;
foreach ($this->items as $i => $item) {

	// Show topic heading
	if ($currentTopic != $item->topic_id) {
		$currentTopic = $item->topic_id;
		echo '<h3>';
		echo $item->topic_ordering;
		echo '. ';
		echo  $this->escape($item->topic_title);
		echo '</h3>';
		echo '<div>' . $item->topic_description . '</div>';
	}

	// Show the question
	echo '<h4>';
	echo  $item->topic_ordering . '.' . $item->question_ordering;
	echo ' ';
	echo $this->escape($item->title);
	echo '</h2>';

	echo '<p><span class="roughcheck-response">';
	echo JText::_('COM_ROUGHCHECK_HEADING_RESPONSE');
	echo ': ';
	if (isset($item->response) && $item->response == 'f') {
		echo JText::_('JNO');
	} elseif (isset($item->response) && $item->response == 't') {
		echo JText::_('JYES');
	} else {
		echo JText::_('COM_ROUGHCHECK_TO_BE_COMPLETED');
	}
	echo '</span>';

	echo '<br /><span class="roughcheck-risk">';
	echo JText::_('COM_ROUGHCHECK_HEADING_RISK');
	echo ': ';
	if ($item->risk_title) {
		if ($item->risk_image > '') {
			echo '<img ';
			$route = JURI::root() . $item->risk_image;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $item->risk_title . '"';
			echo 'title="' . $item->risk_title . '"';
			echo '/>&nbsp;';
		}
		echo $item->risk_title;
	} else {
		if ($item->question_risk_image > '') {
			echo '<img ';
			$route = JURI::root() . $item->question_risk_image;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $item->question_risk_title . '"';
			echo 'title="' . $item->question_risk_title . '"';
			echo '/>&nbsp;';
		}
		echo $item->question_risk_title;
	}
	echo ' &dash; ';
	if (isset($item->response)) {
		if ($item->response == $item->risk_trigger) {
			echo $this->riskprofile->positive;
			if ($this->riskprofile->positiveimage > '') {
				echo '&nbsp;<img ';
				$route = JURI::root() . $this->riskprofile->positiveimage;
				echo 'src="' . $route . '" ';
				echo 'alt="' . $this->riskprofile->positive . '"';
				echo '/>';
			}
		} else {
			echo $this->riskprofile->negative;
			if ($this->riskprofile->negativeimage > '') {
				echo '&nbsp;<img ';
				$route = JURI::root() . $this->riskprofile->negativeimage;
				echo 'src="' . $route . '" ';
				echo 'alt="' . $this->riskprofile->negative . '"';
				echo '/>';
			}
		}
	} else {
		echo $this->riskprofile->unknown;
		if ($this->riskprofile->unknownimage > '') {
			echo '&nbsp;<img ';
			$route = JURI::root() . $this->riskprofile->unknownimage;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $this->riskprofile->unknown . '"';
			echo '/>';
		}
	}
	echo '</span>';

	echo '<br/><span class="roughcheck-reward">';
	echo JText::_('COM_ROUGHCHECK_HEADING_REWARD');
	echo ': ';
	if ($item->reward_title) {
		if ($item->reward_image > '') {
			echo '<img ';
			$route = JURI::root() . $item->reward_image;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $item->reward_title . '"';
			echo 'title="' . $item->reward_title . '"';
			echo '/>&nbsp;';
		}
		echo $item->reward_title;
	} else {
		if ($item->question_reward_image > '') {
			echo '<img ';
			$route = JURI::root() . $item->question_reward_image;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $item->question_reward_title . '"';
			echo 'title="' . $item->question_reward_title . '"';
			echo '/>&nbsp;';
		}
		echo $item->question_reward_title;
	}
	echo ' &dash; ';
	if (isset($item->response)) {
		if ($item->response == $item->reward_trigger) {
			echo $this->rewardprofile->positive;
			if ($this->rewardprofile->positiveimage > '') {
				echo '&nbsp;<img ';
				$route = JURI::root() . $this->rewardprofile->positiveimage;
				echo 'src="' . $route . '" ';
				echo 'alt="' . $this->rewardprofile->positive . '"';
				echo '/>';
			}
		} else {
			echo $this->rewardprofile->negative;
			if ($this->rewardprofile->negativeimage > '') {
				echo '&nbsp;<img ';
				$route = JURI::root() . $this->rewardprofile->negativeimage;
				echo 'src="' . $route . '" ';
				echo 'alt="' . $this->rewardprofile->negative . '"';
				echo '/>';
			}
		}
	} else {
		echo $this->rewardprofile->unknown;
		if ($this->rewardprofile->unknownimage > '') {
			echo '&nbsp;<img ';
			$route = JURI::root() . $this->rewardprofile->unknownimage;
			echo 'src="' . $route . '" ';
			echo 'alt="' . $this->rewardprofile->unknown . '"';
			echo '/>';
		}
	}
	echo '</span></p>';

	echo '<div>';
	if (isset($item->response)) {
		if ($item->response == 't') {
			echo $item->question_description_yes;
		} else {
			echo $item->question_description_no;
		}
	} else {
		if ($item->risk_trigger == 't') {
			echo $item->question_description_yes;
		} else {
			echo $item->question_description_no;
		}
	}
	echo '</div>';

	echo '<div>';
	echo $item->response_note;
	echo '</div>';

}
