<?php
/**
* Assessment report view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment report view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewAssessmentreport extends JViewLegacy
{
	protected $check;
	protected $topic;
	protected $assessment;
	protected $assessmentstatus;
	protected $prev;
	protected $next;
	protected $items;
	protected $riskprofile;
	protected $risks;
	protected $rewardprofile;
	protected $rewards;
	protected $state;
	protected $user;
	protected $canXref;

	/**
	* Display method for assessment report
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		// Get data from the model
		$this->topic = $this->get('Topic');
		$this->prev = $this->get('PreviousTopic');
		$this->next = $this->get('NextTopic');
		$this->topic = $this->get('Topic');
		$this->assessment = $this->get('Assessment');
		if (!$this->assessment) {
			$route = 'index.php?option=com_roughcheck';
			$route .= '&view=assessment';
			$route .= '&layout=xref';
			$app = JFactory::getApplication();
			$tmpl   = $app->input->getCmd('tmpl');
			if ($tmpl) {
				$route .= '&tmpl=' . $tmpl;
			}
			$app->redirect(
				JRoute::_($route, false),
				JText::_('COM_ROUGHCHECK_ASSESSMENT_AUTHORIZATION_REQUIRED')
			);
			return false;
		}
		$model = $this->getModel();
		$this->canXref = $model->canXref($this->assessment);
		$this->check = $this->get('Check');
		$this->assessmentstatus = $this->get('AssessmentStatus');
		$this->items = $this->get('Items');
		$this->riskprofile = $this->get('Riskprofile');
		$this->risks = $this->get('Risks');
		$this->rewardprofile = $this->get('Rewardprofile');
		$this->rewards = $this->get('Rewards');
		$this->state = $this->get('State');
		$this->user = new JUser;

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			throw new Exception('An error occured');
			return false;
		}

		parent::display($tpl);
	}

}
