<?php
/**
* Assessment response view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment response view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewAssessmentresponse extends JViewLegacy
{
	protected $form;
	protected $item;
	protected $state;
	protected $helps;
	protected $question;

	/**
	* Display method for Assessment response
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		$this->form = $this->get('Form');
		$this->item = $this->get('Item');
		$this->state = $this->get('State');
		$this->helps = $this->get('Helps');
		$this->question = $this->get('Question');
		$this->canDo = RoughcheckHelper::getActions(
			$this->state->get('filter.category_id')
		);

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			throw new Exception('An error occured');
			return false;
		}

		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument();

	}

	/**
	* Setting the document
	*
	* @return void
	*/
	protected function setDocument() 
	{
		$isNew = ($this->item->id < 1);
		$document = JFactory::getDocument();
		$document->setTitle(
			$isNew 
			? JText::_('COM_ROUGHCHECK_ASSESSMENT_CREATING')
			: JText::_('COM_ROUGHCHECK_ASSESSMENT_EDITING')
		);
	}

}
