<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default_body.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

$app		= JFactory::getApplication();
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

			foreach ($this->items as $i => $item) :
				$item->max_ordering = 0; //??
				$ordering   = ($listOrder == 'a.ordering');
				$canCreate  = $user->authorise('assessment.create',     'com_roughcheck');
				$canDelete  = $user->authorise('assessment.delete',     'com_roughcheck');
				$canEdit    = $user->authorise('assessment.edit',       'com_roughcheck');
				$canCheckin = $user->authorise('assessment.manage',     'com_roughcheck') || $item->checked_out == $userId || $item->checked_out == 0;
				$canEditOwn = $user->authorise('assessment.edit.own',   'com_roughcheck.'.$item->id) && $item->created_by == $userId;
				$canChange  = $user->authorise('assessment.edit.state', 'com_roughcheck.'.$item->id) && $canCheckin;

				$path = 'index.php?option=com_roughcheck';
				$path .= '&task=assessment.edit&id=';
				$path .= $item->id;
				$link = JRoute::_($path);
				$path = 'index.php?option=com_roughcheck';
				$path .= '&task=assessments.assessmentquestions&id=';
				$path .= $item->id;
				$link_assessment = JRoute::_($path);
				$path = 'index.php?option=com_roughcheck';
				$path .= '&task=assessments.assessmentreport&id=';
				$path .= $item->id;
				$link_review = JRoute::_($path);

?>
				<tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->catid; ?>">
					<td class="center hidden-phone">
						<?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td class="center">
						<div class="btn-group">
							<?php echo JHtml::_('jgrid.published', $item->state, $i, 'assessments.', $canChange, 'cb', $item->publish_up, $item->publish_down); ?>
						</div>
						<div class="small">
							<?php echo $item->countof_responses; ?>
							/ <?php echo $item->countof_questions; ?>
							<?php
								if ($item->countof_questions == $item->countof_responses) {
									echo JText::_('JYES');
								} else {
									echo JText::_('JNO');
								}?>
						</div>
					</td>
					<td class="nowrap has-context">
						<div class="pull-left">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'assessments.', $canCheckin); ?>
							<?php endif; ?>
							<?php if ($item->language == '*'):?>
								<?php $language = JText::alt('JALL', 'language'); ?>
							<?php else:?>
								<?php $language = $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
							<?php endif;?>
							<?php if ($canEdit || $canEditOwn) : ?>
								<a href="<?php echo $link; ?>" title="<?php echo JText::_('JACTION_EDIT'); ?>">
									<?php echo $this->escape($item->title); ?></a>
							<?php else : ?>
								<span title="<?php echo JText::sprintf('JFIELD_ALIAS_LABEL', $this->escape($item->alias)); ?>"><?php echo $this->escape($item->title); ?></span>
							<?php endif; ?>
							<div class="small">
								<?php echo JText::_('JCATEGORY') . ": " . $this->escape($item->category_title); ?>,
								<?php echo JText::_('COM_ROUGHCHECK_HEADING_CHECK') . ": " . $this->escape($item->check_title); ?>
							</div>
						</div>
						<div class="pull-left">
							<?php
								// Create dropdown items
								JHtml::_('dropdown.edit', $item->id, 'assessment.');
								JHtml::_(
									'dropdown.addCustomItem',
									JText::_('COM_ROUGHCHECK_HEADING_ASSESSMENT'),
									$link_assessment,
									'', false
								);
								JHtml::_(
									'dropdown.addCustomItem',
									JText::_('COM_ROUGHCHECK_HEADING_REPORT'),
									$link_review,
									'', false
								);

								// Render dropdown list
								echo JHtml::_('dropdown.render');
								?>
						</div>
					</td>
					<td class="small hidden-phone">
						<?php echo $this->escape($item->creator); ?>
					</td>
					<td class="small hidden-phone">
						<?php if ($item->language == '*'):?>
							<?php echo JText::alt('JALL', 'language'); ?>
						<?php else:?>
							<?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
						<?php endif;?>
					</td>
					<td class="nowrap small hidden-phone">
						<?php echo JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4')); ?>
					</td>
					<td class="center hidden-phone">
						<?php echo (int) $item->id; ?>
					</td>
				</tr>
				<?php endforeach;
